Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
vm_exec.c File Reference
`#include <math.h>`
`#include "vmtc.inc"`
`#include "vm.inc"`
Include dependency graph for vm_exec.c:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | DECL_SC_REG(type, r, reg) register type reg_##r

## Functions
static VALUE | vm_exec_core (rb_thread_t *th, VALUE initial)
const void ** | rb_vm_get_insns_address_table (void)

## Macro Definition Documentation

#define DECL_SC_REG | ( |  | type,
|  |  | r,
|  |  | reg
| ) |  | register type reg_##r

Definition at line 28 of file vm_exec.c.

Referenced by vm_exec_core().

## Function Documentation

const void** rb_vm_get_insns_address_table | ( | void | ) |  |

Definition at line 107 of file vm_exec.c.

References vm_exec_core().

Referenced by rb_iseq_translate_threaded_code().

static VALUE vm_exec_core | ( | rb_thread_t * | th,
|  | VALUE | initial
| ) |  |
| static

Definition at line 34 of file vm_exec.c.

References rb_thread_struct::cfp, DECL_SC_REG, END_INSNS_DISPATCH, INSN_DISPATCH, rb_control_frame_struct::pc, rb_bug(), and UNLIKELY.

Referenced by rb_vm_get_insns_address_table(), and vm_exec().